package de.intevation.flys.client.client.ui;

import java.util.List;

import de.intevation.flys.client.shared.model.Data;
import de.intevation.flys.client.shared.model.DataItem;
import de.intevation.flys.client.shared.model.DefaultData;
import de.intevation.flys.client.shared.model.DefaultDataItem;
import de.intevation.flys.client.shared.model.Recommendation;
import de.intevation.flys.client.shared.model.ToLoad;
import de.intevation.flys.client.shared.model.User;


public class DemDatacagePanel extends DatacagePanel {

    public static final String OUT        = "floodmap";
    public static final String PARAMETERS = "dem:true";


    public DemDatacagePanel() {
        super();
    }


    public DemDatacagePanel(User user) {
        super(user);
    }


    @Override
    protected void createWidget() {
        super.createWidget();
        widget.setIsMutliSelectable(false);
    }


    @Override
    public User getUser() {
        return null;
    }


    @Override
    public String getOuts() {
        return OUT;
    }


    @Override
    public String getParameters() {
        return PARAMETERS;
    }


    @Override
    protected Data[] getData() {
        Recommendation r = getSelectedRecommendation();

        DataItem item = new DefaultDataItem(dataName, dataName, r.getIDs());
        return new Data[] { new DefaultData(
            dataName, null, null, new DataItem[] { item }) };
    }


    protected Recommendation getSelectedRecommendation() {
        ToLoad toLoad = widget.getSelection();
        List<Recommendation> recoms = toLoad.toRecommendations();

        return recoms.get(0);
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
